/* #7990a1 #f2f1eb */
@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@100..700&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
:root {
  --gradient-text: linear-gradient(
    90deg,
    rgb(55, 245, 12) 0%,
    rgb(245, 13, 245) 50%,
    rgb(29, 26, 26) 100%
  );
}
.gradient-text {
  background-image: var(--gradient-text);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  color: transparent;
}
body {
  font-family: "Montserrat", sans-serif !important;

  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  background-color: #f9f9f9;
}
.btn-primary {
  border-top: 1px solid #7990a1;
  border-left: 1px solid #7990a1;
  background-color: #ffff !important;
  border: none !important;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px !important;
}
.btn-primary:hover {
  background-color: #7990a1 !important;
  color: #ffff !important;
}
.card {
  box-shadow: rgba(0, 0, 0, 0.07) 0px 1px 1px, rgba(0, 0, 0, 0.07) 0px 2px 2px,
    rgba(0, 0, 0, 0.09) 0px 4px 4px, rgba(0, 0, 0, 0.07) 0px 8px 8px,
    rgba(0, 0, 0, 0.07) 0px 16px 16px;
  border: none !important;
  background-color: #f2f1eb !important;
}
.card-body {
  border: none !important;
}
.card-footer {
  border: none !important;
}
.container {
  margin-right: auto !important;
  margin-left: auto !important;
}
.hero,
.pc_nav {
  margin: 0 auto !important;
  padding-inline: 1em;
}
.pc_nav {
  font-size: 1.2rem !important;
  position: sticky;
  top: 0;
  left: 0;
  z-index: 999;
  min-height: 3rem;
  background: #7990a1 !important;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 !important;
}
.pc-menu-list {
  padding-right: 1em;
  margin: 0 30px 0 0 !important;
  display: inline-flex;
  gap: 1rem;
  height: 100%;
}
.pc-menu-list > li {
  list-style: none;
  display: inline-block;
  cursor: pointer;
  transition: 0.5s linear;
  padding: 10px;
}
.pc-menu-list > li a {
  text-decoration: none;
  color: #ffff;
}
.mauchu {
  color: #7990a1;
}
.hero {
  min-height: 50vh;
  background-image: url("/shop/images/header-bg.png");
  background-size: contain;
  background-size: 0%;
  background-repeat: no-repeat;
  background-position: 100% 50%;
  display: grid;
  align-content: center;
  container-type: inline-size;
}

.pc_nav:after {
  content: "";
  position: absolute;
  height: 0.1em;
  width: 100%;
  bottom: 0;
  background: #f2f1eb;
  opacity: 0;
}
.logo {
  font-size: 3.2cqi;
  font-weight: normal !important;
  background: #ffff;
  background-clip: text;
  color: #0000;
  cursor: pointer;
}
.jolly-slogan {
  margin-left: 50px;
}
.logo-mb-view {
  font-size: 1.5rem;
  font-weight: 400;
  background: #7990a1;
  background-clip: text;
  color: #0000;
  display: flex;
  justify-content: center;
  align-items: center;
}
@keyframes fade-out {
  to {
    background-size: 150%;
    opacity: 1;
  }
}
@keyframes zoom-out {
  to {
    font-size: 2rem;
    padding-left: 0.1em;
  }
}
@keyframes appear {
  to {
    opacity: 1;
  }
}
@keyframes max-out {
  to {
    max-width: 100%;
  }
}
.hero {
  animation: fade-out linear both;
  animation-timeline: view();
  animation-range: exit -100px;
}
.pc_nav {
  animation: max-out linear both;
  animation-timeline: view();
  animation-range-start: 80vh;
  animation-range-end: 100vh;
}
.pc_nav:after {
  animation: appear linear both;
  animation-timeline: view();
  animation-range-start: 60vh;
  animation-range-end: 100vh;
}
.logo {
  animation: zoom-out linear both;
  animation-timeline: view();
  animation-range-start: 10vh;
  animation-range-end: 100vh;
}

.grid-album-anh {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 20px;
  width: 70%;
  margin: 0 auto;
  height: fit-content;
}
.grid-album-anh div {
  border-radius: 10px;
  box-shadow: rgba(0, 0, 0, 0.6) 0px 10px 15px -3px,
    rgba(0, 0, 0, 0.05) 0px 4px 6px -2px;
  height: fit-content;
}
.album-right-box {
  grid-column: 1 / 2;
  grid-row: 1 / 3;
  overflow: hidden;
}
.album-middle-box-1 {
  grid-column: 2 / 3;
  grid-row: 1 / 2;
  overflow: hidden;
}
.album-middle-box-2 {
  grid-column: 2 / 3;
  grid-row: 2 / 3;
  overflow: hidden;
}
.album-left-box {
  grid-column: 3 / 4;
  grid-row: 1 / 3;
  overflow: hidden;
}
.grid-album-anh img {
  width: 100%;
  height: fit-content;
  padding: 5px;
  border-radius: 10px;
  overflow: clip;
  transition: transform 0.75s;
}
.grid-album-anh img:hover {
  transform: scale(1.3) !important;
}
.album-right-box img,
.album-left-box img {
  vertical-align: middle;
}
.box-sp-noi-bat {
  border-radius: 10px;
  background: #f2f1eb;
  box-shadow: rgba(0, 0, 0, 0.07) 0px 1px 1px, rgba(0, 0, 0, 0.07) 0px 2px 2px,
    rgba(0, 0, 0, 0.09) 0px 4px 4px, rgba(0, 0, 0, 0.07) 0px 8px 8px,
    rgba(0, 0, 0, 0.07) 0px 16px 16px;
}
.sp-noi-bat {
  background: #f9f9f9 !important;
}
.box-sp-noi-bat button a {
  font-size: 1.2em !important;
  padding: 10px 20px !important;
  color: #fff !important;
  text-decoration: none;
}

.slick-slider .card {
  margin-left: 20px !important;
}

.short-intro {
  height: fit-content;
  margin-top: 30px !important;
}
.intro-box1 {
  clip-path: polygon(0 0, 100% -20%, 75% 100%, 0 100%);
}
.intro-box1 img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 10px;
}
.intro-box2 {
  display: flex;
  align-items: center;
  justify-content: center;
  clip-path: polygon(10% 0, 100% 0, 100% 100%, -12% 100%);
  background: #f2f1eb;
}
.intro-box2 > p {
  padding-left: 55px !important;
  padding-right: 55px !important;
  text-align: center;
  font-weight: 400;
  font-size: 1.1rem;
  line-height: 1.7em;
}
/* dropdown nav_bar "sản phẩm" cho pc_view */
.dropbtn {
  border: none;
  display: flex;
  justify-content: center;
  align-items: center;
}

.dropdown-sp {
  position: relative;
  display: inline-block;
}

.dropdown-content {
  margin-top: 10px;
  display: none;
  position: absolute;
  background-color: #7990a1;
  min-width: 140px;
  min-height: 120px;
  box-shadow: rgba(0, 0, 0, 0.07) 0px 1px 2px, rgba(0, 0, 0, 0.07) 0px 2px 4px,
    rgba(0, 0, 0, 0.07) 0px 4px 8px, rgba(0, 0, 0, 0.07) 0px 8px 16px,
    rgba(0, 0, 0, 0.07) 0px 16px 32px, rgba(0, 0, 0, 0.07) 0px 32px 64px;
  z-index: 1;
}

.dropdown-content a {
  color: #212121;
  text-decoration: none;
  display: block;
  padding: 10px !important;
}

.dropdown-content a:hover {
  background-color: #7fa9a9;
}

.dropdown-sp:hover .dropdown-content {
  display: block;
  transition: 0.75s;
}

.dropdown:hover .dropbtn {
  background-color: #3e8e41;
}
.offcanvas-custom {
  width: 40% !important;
  background-color: #7990a1;
  color: #ffff;
}
.mb-menu-symbol {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 20%;
}
.mb-menu-symbol > button > span {
  font-size: 2.5rem;
  color: #000;
}
.phone-menu-list > li {
  list-style: none;
  margin: 10px !important;
  padding: 5px !important;
}
.phone-menu-list {
  padding: 0 !important;
}
.phone-menu-list > li a {
  text-decoration: none;
  color: #ffff;
}
#sanpham-collapse a {
  text-decoration: none;
  color: #ffff;
  padding: 10px !important;
  margin-bottom: 5px !important;
}
.sanpham-img {
  width: 100%;
  height: 260px;
  border-radius: 10px 10px 0 0;
  object-fit: cover;
}

.zoom-scale {
  transition: transform 0.75s;
}
.zoom-scale:hover {
  transform: scale(1.3) !important;
}
.hidden {
  display: none;
}
.btn {
  border: 1px solid #7990a1;
}
.sanpham-noibat-mobile {
  background-color: #7790a1;
  clip-path: polygon(20% 0, 100% 0, 80% 100%, 0 100%);
  display: inline-block;
  padding: 10px 20px;
  margin: 0 auto;
}

.sanpham-noibat-mobile p {
  margin: 0;
  color: #fff;
  text-align: center;
  font-style: italic;
  font-size: 1.25rem;
  padding: 10px;
}

.centered-container {
  display: flex;
  justify-content: center;
  align-items: center;
}
/* kích thước màn hình nhỏ hơn hoặc bằng 768px - mobile view*/
@media (max-width: 768px) {
  /* ẩn content pc view */

  .hero {
    display: none;
  }
  .pc_nav {
    display: none;
  }
  .pc_view_section {
    display: none;
  }
  .side-bar {
    display: none;
  }

  /* hiện content mobile view */

  .mobile_view_header {
    display: block;
  }
  .mobile_view_section {
    display: block;
  }
}
/* kích thước màn hình lớn hơn hoặc bằng 768px - pc view*/
@media (min-width: 769px) {
  /* ẩn content mobile view */

  .mobile_view_header {
    display: none;
  }
  .mobile_view_section {
    display: none;
  }

  /* hiện content pc view */

  .hero {
    display: block;
  }
  .pc_nav {
    display: flex;
  }
  .pc_view_section {
    display: block;
  }
  .side-bar {
    display: block;
  }
}
